//
// Copyright 2001 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wJobSpecView:
//   Generates the jobspec -o  command to display jobspec (w/o comments)


#include <stdlib.h>
#include <string.h>

#include <p4wp4.h>

#include "p4wView.h"
#include "p4wJobSpecView.h"

#include "p4wMenuPane.h"
#include "p4wJobSpecPane.h"


p4wJobSpecView::p4wJobSpecView( p4wRequest & Request )
	: p4wView( Request )
{
	//
	// Set the short and the long versions of the title
	
	fShortTitle.Set( "Jobspec Detail" );
	fFullTitle.Set( "Jobspec Detail" );
}

p4wJobSpecView::~p4wJobSpecView()
{
}

void p4wJobSpecView::RenderContent()
{
	//
	// Generate a jobspec -o command
	
	p4wJobSpecPane jobSpecPane( *this, fRequest );
	
	fRequest.p4Arg( "-o" );
	fRequest.p4( "jobspec", 0, 0, &jobSpecPane );

	fRequest.p4Wait();
}

void p4wJobSpecView::RenderMenu()
{
	//
	// Draw the menu bar
	 
	p4wMenuPane menuPane( *this, fRequest, "jobfields" );
	menuPane.Render( NULL );
}
