// Copyright 1999 (c) by Perforce Software, Inc.  All rights reserved.
//
// p4wRSSJobviewView:
//   The user view.


// -------------------------------------
// Includes
//
#include <stdlib.h>
#include <string.h>

#include <p4wp4.h>

#include "p4wView.h"
#include "p4wRSSJobviewView.h"
#include "p4wRSSJobviewPane.h"


//
// -------------------------------------
// Constructors and destructor.
//
p4wRSSJobviewView::p4wRSSJobviewView(p4wRequest & Request)
	: p4wView(Request)
{
}

p4wRSSJobviewView::~p4wRSSJobviewView()
{
}

// -------------------------------------
// Control item render functions.
//

void p4wRSSJobviewView::Render()
{
	//
	// Get the user spec

	p4wRSSJobviewPane rssJobviewPane(*this, fRequest);

	if( fRequest.GetURL().Length() == 0 ) {
		const char *rssJobviewPaneArgs[] = { "-o" };
		fRequest.p4("user", 1, rssJobviewPaneArgs, &rssJobviewPane);
	} else {
		const char *rssJobviewPaneArgs[] = { "-o", fRequest.GetURL().Text() };
		fRequest.p4("user", 2, rssJobviewPaneArgs, &rssJobviewPane);
	}

	//
	// Wait for the spec

	fRequest.p4Wait();

	//
	// Use the spec to generate the XML for the RSS feed.

	rssJobviewPane.Finish();
}
